Bug 1767509 (polkit-qt-1) - Review Request: polkit-qt-1 - Qt bindings for PolicyKit
Summary: Review Request: polkit-qt-1 - Qt bindings for PolicyKit
Keywords:
Status: CLOSED ERRATA
Alias: polkit-qt-1
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2019-10-31 15:45 UTC by Rex Dieter
Modified: 2020-06-14 07:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-14 07:59:11 UTC
Type: ---
tdawson: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2019-10-31 15:45:59 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/polkit-qt-1/polkit-qt-1.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/polkit-qt-1/polkit-qt-1-0.113.0-1.fc30.src.rpm
Description: Polkit-qt is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.
Fedora Account System Username:rdieter

This package replaces the qt5 (and newer) portions of existing polkit-qt.  Once this is reviewed and imported, polkit-qt will be built for qt4 only.

Comment 1 Troy Dawson 2019-11-08 22:43:54 UTC

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[X]: License file installed when any subpackage combination is installed.
[X]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/polkit-
     qt5-1(locale,, defaulting, C, to, Failed, set, polkit-qt5-1),
     /usr/share/licenses/polkit-qt5-1(locale,, defaulting, C, to, Failed,
     set, polkit-qt5-1), /usr/include/polkit-qt5-1(defaulting, C, to,
     polkit-qt5-1-devel, Failed, set, locale,), /usr/include/polkit-
     qt5-1/PolkitQt1(defaulting, C, to, polkit-qt5-1-devel, Failed, set,
     locale,), /usr/include/polkit-qt5-1/PolkitQt1/Agent(defaulting, C, to,
     polkit-qt5-1-devel, Failed, set, locale,), /usr/include/polkit-
     qt5-1/PolkitQt1/Gui(defaulting, C, to, polkit-qt5-1-devel, Failed,
     set, locale,), /usr/lib64/cmake/PolkitQt5-1(defaulting, C, to, polkit-
     qt5-1-devel, Failed, set, locale,)
[X]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[X]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Useful -debuginfo package or justification otherwise.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in polkit-
     qt5-1 , polkit-qt5-1-devel
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[X]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: polkit-qt5-1-0.113.0-1.fc32.x86_64.rpm
          polkit-qt5-1-devel-0.113.0-1.fc32.x86_64.rpm
          polkit-qt-1-debugsource-0.113.0-1.fc32.x86_64.rpm
          polkit-qt-1-0.113.0-1.fc32.src.rpm
polkit-qt5-1-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
polkit-qt-1-debugsource.x86_64: W: invalid-url URL: https://api.kde.org/kdesupport-api/polkit-qt-1-apidocs/ <urlopen error [Errno -2] Name or service not known>
polkit-qt5-1-devel.x86_64: W: invalid-url URL: https://api.kde.org/kdesupport-api/polkit-qt-1-apidocs/ <urlopen error [Errno -2] Name or service not known>
polkit-qt5-1-devel.x86_64: W: no-documentation
polkit-qt5-1.x86_64: W: invalid-url URL: https://api.kde.org/kdesupport-api/polkit-qt-1-apidocs/ <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 4 warnings.



Source checksums
----------------
http://download.kde.org/stable/polkit-qt-1/polkit-qt-1-0.113.0.tar.xz :
  CHECKSUM(SHA256) this package     : 5b866a2954ef10ffb66156e2fe8ad0321b5528a8df2e4a91b02f5041ce5563a7
  CHECKSUM(SHA256) upstream package : 5b866a2954ef10ffb66156e2fe8ad0321b5528a8df2e4a91b02f5041ce5563a7


Requires
--------
polkit-qt5-1 (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5DBus.so.5(Qt_5)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpolkit-agent-1.so.0()(64bit)
    libpolkit-gobject-1.so.0()(64bit)
    libpolkit-qt5-core-1.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

polkit-qt5-1-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cmake-filesystem(x86-64)
    libpolkit-qt5-agent-1.so.1()(64bit)
    libpolkit-qt5-core-1.so.1()(64bit)
    libpolkit-qt5-gui-1.so.1()(64bit)
    pkgconfig(Qt5Core)
    pkgconfig(Qt5Gui)
    pkgconfig(polkit-qt5-agent-1)
    pkgconfig(polkit-qt5-core-1)
    pkgconfig(polkit-qt5-gui-1)
    polkit-qt5-1(x86-64)

polkit-qt-1-debugsource (rpmlib, GLIBC filtered):



Provides
--------
polkit-qt5-1:
    libpolkit-qt5-agent-1.so.1()(64bit)
    libpolkit-qt5-core-1.so.1()(64bit)
    libpolkit-qt5-gui-1.so.1()(64bit)
    polkit-qt5
    polkit-qt5-1
    polkit-qt5-1(x86-64)

polkit-qt5-1-devel:
    cmake(PolkitQt5-1)
    pkgconfig(polkit-qt5-1)
    pkgconfig(polkit-qt5-agent-1)
    pkgconfig(polkit-qt5-core-1)
    pkgconfig(polkit-qt5-gui-1)
    polkit-qt5-1-devel
    polkit-qt5-1-devel(x86-64)
    polkit-qt5-devel

polkit-qt-1-debugsource:
    polkit-qt-1-debugsource
    polkit-qt-1-debugsource(x86-64)



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1767509
Buildroot used: fedora-rawhide-{{ target_arch }}
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: Haskell, Python, PHP, SugarActivity, R, Java, Ocaml, fonts, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Troy Dawson 2019-11-08 22:46:04 UTC
Looks good to me.
Note:  The rpmlint bad URL warning was false positives.  I verified all of the URL's by hand.

Comment 3 Rex Dieter 2019-11-14 21:58:33 UTC
Thanks for the review!

Comment 5 Gwyn Ciesla 2019-11-14 22:46:54 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/polkit-qt-1

Comment 6 Mattia Verga 2020-06-14 07:59:11 UTC
This package was approved and imported in repositories, but this review ticket was never closed.
I'm closing it now.


Note You need to log in before you can comment on or make changes to this bug.